--Copyright 1986-2019 Xilinx, Inc. All Rights Reserved.
----------------------------------------------------------------------------------
--Tool Version: Vivado v.2019.2 (lin64) Build 2708876 Wed Nov  6 21:39:14 MST 2019
--Date        : Tue Jul 13 16:23:49 2021
--Host        : htsynth2 running 64-bit Ubuntu 18.04.5 LTS
--Command     : generate_target design_1_wrapper.bd
--Design      : design_1_wrapper
--Purpose     : IP block netlist
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity design_1_wrapper is
  port (
    emio_i2c_scl : inout STD_LOGIC_VECTOR ( 0 to 0 );
    emio_i2c_sda : inout STD_LOGIC_VECTOR ( 0 to 0 );
    tx_disable_o  : out std_logic;
    wrflash_scl :  inout STD_LOGIC_VECTOR ( 0 to 0 );
    wrflash_sda :  inout STD_LOGIC_VECTOR ( 0 to 0 );
    gtrefclk_in_clk_n : in STD_LOGIC;
    gtrefclk_in_clk_p : in STD_LOGIC;
    link_status_led : out STD_LOGIC_VECTOR ( 0 to 0 );
    link_sync_led : out STD_LOGIC_VECTOR ( 0 to 0 );
    mdc_clk_led : out STD_LOGIC_VECTOR ( 0 to 0 );
    pl_reset_led : out STD_LOGIC;
    p_pres_i_0 : in std_logic_vector(1 downto 0);
    pwr_cycle_req_o_0 : out std_logic;
    bckpl_servmod_b : inout std_logic_vector(7 downto 0);
    bckpl_rst_n_o   : out std_logic;
    bckpl_scl   : inout std_logic;
    bckpl_sda   : inout std_logic;
    psu_alert_i     : in  std_logic;
    f_rst       : inout std_logic;
    sfp_rxn : in STD_LOGIC;
    sfp_rxp : in STD_LOGIC;
    sfp_txn : out STD_LOGIC;
    sfp_txp : out STD_LOGIC;
    clk_src_sel_o : out std_logic_vector(1 downto 0)
  );
end design_1_wrapper;

architecture STRUCTURE of design_1_wrapper is
  component diot_sb is
  port (
    link_status_led : out STD_LOGIC_VECTOR ( 0 to 0 );
    link_sync_led : out STD_LOGIC_VECTOR ( 0 to 0 );
    tx_disable_o  : out std_logic;
    mdc_clk_led : out STD_LOGIC_VECTOR ( 0 to 0 );
    emio_i2c_sda : inout STD_LOGIC_VECTOR ( 0 to 0 );
    emio_i2c_scl : inout STD_LOGIC_VECTOR ( 0 to 0 );
    wrflash_scl :  inout STD_LOGIC_VECTOR ( 0 to 0 );
    wrflash_sda :  inout STD_LOGIC_VECTOR ( 0 to 0 );
    pl_reset_led : out STD_LOGIC;
    gtrefclk_in_clk_n : in STD_LOGIC;
    gtrefclk_in_clk_p : in STD_LOGIC;
    p_pres_i_0 : in std_logic_vector(1 downto 0);
    pwr_cycle_req_o_0 : out std_logic;
    bckpl_servmod_b : inout std_logic_vector(7 downto 0);
    bckpl_rst_n_o   : out std_logic;
    bckpl_scl   : inout std_logic_vector(0 to 0);
    bckpl_sda   : inout std_logic_vector(0 to 0);
    psu_alert_i     : in  std_logic;
    f_rst       : inout std_logic_vector(0 to 0);
    sfp_rxn : in STD_LOGIC;
    sfp_rxp : in STD_LOGIC;
    sfp_txn : out STD_LOGIC;
    sfp_txp : out STD_LOGIC;
    clk_src_sel_o : out std_logic_vector(1 downto 0)
  );
  end component diot_sb;
begin
diot_sb_i: component diot_sb
     port map (
      emio_i2c_scl(0) => emio_i2c_scl(0),
      emio_i2c_sda(0) => emio_i2c_sda(0),
      tx_disable_o => tx_disable_o,
      wrflash_scl(0) => wrflash_scl(0),
      wrflash_sda(0) => wrflash_sda(0),
      gtrefclk_in_clk_n => gtrefclk_in_clk_n,
      gtrefclk_in_clk_p => gtrefclk_in_clk_p,
      link_status_led(0) => link_status_led(0),
      link_sync_led(0) => link_sync_led(0),
      mdc_clk_led(0) => mdc_clk_led(0),
      pl_reset_led => pl_reset_led,
      p_pres_i_0 => p_pres_i_0,
      pwr_cycle_req_o_0 => pwr_cycle_req_o_0,
      bckpl_servmod_b => bckpl_servmod_b,
      bckpl_rst_n_o   => bckpl_rst_n_o,
      bckpl_scl(0)    => bckpl_scl,
      bckpl_sda(0)    => bckpl_sda,
      psu_alert_i     => psu_alert_i,
      f_rst(0)        => f_rst,
      sfp_rxn => sfp_rxn,
      sfp_rxp => sfp_rxp,
      sfp_txn => sfp_txn,
      sfp_txp => sfp_txp,
      clk_src_sel_o => clk_src_sel_o
    );
end STRUCTURE;
